Skip to main content
`Ctrl`+`K`

# PetscFVClone

Create a shallow copy of a `PetscFV` object that just references the internal objects.

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVClone(PetscFV fv, PetscFV *fvNew)

## Input Parameter

- fv - The initial `PetscFV`

## Output Parameter

- fvNew - A clone of the `PetscFV`

## Notes

This is typically used to change the number of components.

## See Also

`PetscFV`, `PetscFVType`, `PetscFVCreate()`, `PetscFVSetType()`

## Level

advanced

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages